org.gradle.api.artifacts

## Interface ResolvedArtifact

-     public interface ResolvedArtifact

  Information about a resolved artifact.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassifier()`
    `String` | `getExtension()`
    `File` | `getFile()`
    `ResolvedModuleVersion` | `getModuleVersion()` Returns the module which this artifact belongs to.
    `String` | `getName()`
    `ResolvedDependency` | `getResolvedDependency()` Deprecated. An artifact can belong to multiple dependencies. Use `getModuleVersion()` instead.
    `String` | `getType()`

- - ### Method Detail

    - #### getFile

          File getFile()

    - #### getModuleVersion

          ResolvedModuleVersion getModuleVersion()

      Returns the module which this artifact belongs to.
      Returns:
        The module.

    - #### getResolvedDependency

          @Deprecated
          ResolvedDependency getResolvedDependency()

      Deprecated. An artifact can belong to multiple dependencies. Use `getModuleVersion()` instead.
      Returns one of the dependencies which this artifact belongs to.
      Returns:
        One of the dependencies which this artifact belongs to.

    - #### getName

          String getName()

    - #### getType

          String getType()

    - #### getExtension

          String getExtension()

    - #### getClassifier

          String getClassifier()